package com.rjconsultores.ventaboletos.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.MensajeUsuarioDAO;
import com.rjconsultores.ventaboletos.entidad.Mensaje;
import com.rjconsultores.ventaboletos.entidad.MensajeUsuario;
import com.rjconsultores.ventaboletos.exception.BusinessException;
import com.rjconsultores.ventaboletos.service.MensajeUsuarioService;

@Service("mensajeUsuarioService")
public class MensajeUsuarioServiceImpl implements MensajeUsuarioService {

	@Autowired
	private MensajeUsuarioDAO mensajeUsuarioDAO;

	@Override
	public List<MensajeUsuario> obtenerTodos() {
		return mensajeUsuarioDAO.obtenerTodos();
	}

	@Override
	public MensajeUsuario obtenerID(Integer id) {
		return mensajeUsuarioDAO.obtenerID(id);
	}

	@Override
	@Transactional(rollbackFor = BusinessException.class)
	public void borrar(MensajeUsuario entidad) {
		mensajeUsuarioDAO.borrar(entidad);
	}

	@Override
	@Transactional(rollbackFor = BusinessException.class)
	public MensajeUsuario suscribirActualizar(MensajeUsuario entidad) throws BusinessException {
		if (entidad.getMensajeUsuarioId() == null) {
			return mensajeUsuarioDAO.suscribir(entidad);
		} else {
			return mensajeUsuarioDAO.actualizacion(entidad);
		}
	}

	@Override
	public List<MensajeUsuario> obtenerPorMensaje(Mensaje mensaje) {
		return mensajeUsuarioDAO.obtenerPorMensaje(mensaje);
	}

}
